import docopt

import parsing
import generator

let doc = """
pmm - Emulating Gentoo's world files and sets for other package managers.

Usage:
  pmm [options]

Options:
  -h, --help                         Show this screen.
  -v, --version                      Show version.
  --gcode <file>                     The Gcode file to process
"""

let args = docopt(doc, version = "Gcode processor")
var gcodeFile: string
if args["--gcode"]: gcodeFile = $args["--gcode"]

when isMainModule:
  # get data from file
  let allGcode = openAndParse(gcodeFile)

  let nope = openAndWrite("testOut.gcode", allGcode)
